/**
 * List uploads created by the issuer.
 *
 * @param {import('../types.js').InvocationConfig} conf Configuration
 * for the UCAN invocation. An object with `issuer`, `with` and `proofs`.
 *
 * The `issuer` is the signing authority that is issuing the UCAN
 * invocation(s). It is typically the user _agent_.
 *
 * The `with` is the resource the invocation applies to. It is typically the
 * DID of a space.
 *
 * The `proofs` are a set of capability delegations that prove the issuer
 * has the capability to perform the action.
 *
 * The issuer needs the `upload/list` delegated capability.
 * @param {import('../types.js').ListRequestOptions} [options]
 * @returns {Promise<import('../types.js').UploadListSuccess>}
 */
export function list({ issuer, with: resource, proofs, audience }: import('../types.js').InvocationConfig, options?: import("../types.js").ListRequestOptions | undefined): Promise<import('../types.js').UploadListSuccess>;
/** Returns the ability used by an invocation. */
export const ability: "upload/list";
export function input(cursor?: string | undefined, size?: number | undefined, pre?: boolean | undefined): {
    cursor: string | undefined;
    size: number | undefined;
    pre: boolean | undefined;
};
//# sourceMappingURL=list.d.ts.map